# Uses of Interface
org.apache.cxf.endpoint.EndpointResolver

Packages that use EndpointResolver
Package
Description
org.apache.cxf.bus.managers
org.apache.cxf.endpoint

- ## Uses of EndpointResolver in org.apache.cxf.bus.managers

  Methods in org.apache.cxf.bus.managers that return types with arguments of type EndpointResolver
  Modifier and Type
  Method
  Description
  `protected List<EndpointResolver>`
  EndpointResolverRegistryImpl.`getResolvers()`
  Methods in org.apache.cxf.bus.managers with parameters of type EndpointResolver
  Modifier and Type
  Method
  Description
  `void`
  EndpointResolverRegistryImpl.`register(EndpointResolver resolver)`
  Register an endpoint resolver.
  `void`
  EndpointResolverRegistryImpl.`unregister(EndpointResolver resolver)`
  Unregister an endpoint resolver.

- ## Uses of EndpointResolver in org.apache.cxf.endpoint

  Methods in org.apache.cxf.endpoint with parameters of type EndpointResolver
  Modifier and Type
  Method
  Description
  `void`
  EndpointResolverRegistry.`register(EndpointResolver resolver)`
  Register an endpoint resolver.
  `void`
  EndpointResolverRegistry.`unregister(EndpointResolver resolver)`
  Unregister an endpoint resolver.